Page MenuHomePhabricator

[docs] Update Scudo documentation
ClosedPublic

Authored by cryptoad on Jan 2 2018, 11:03 AM.

Details

Summary

The documentation has fallen a bit behind, update it with the latest evolution
of the allocator:

  • clarify a couple of expectations regarding what is meant to be achieved;
  • update the header format;
  • document -fsanitize=scudo.

Event Timeline

cryptoad created this revision.Jan 2 2018, 11:03 AM
alekseyshl accepted this revision.Jan 3 2018, 8:32 PM
alekseyshl added inline comments.
docs/ScudoHardenedAllocator.rst
31

can be considered a

38

performance

This revision is now accepted and ready to land.Jan 3 2018, 8:32 PM
cryptoad updated this revision to Diff 128618.Jan 4 2018, 9:03 AM
cryptoad marked 2 inline comments as done.

Addressing review comments.

cryptoad closed this revision.Jan 4 2018, 10:32 AM